LIBKYPRINTER(3)

NAME
kdk_printer_get_list, kdk_printer_get_available_list, kdk_printer_set_options, kdk_printer_print_download_remote_file, kdk_printer_print_local_file, kdk_printer_cancel_all_jobs, kdk_printer_get_status, kdk_printer_get_job_status, kdk_printer_get_filename, kdk_printer_freeall - 获取打印信息

SYNOPSIS
#include <libkyprinter.h>

extern char** kdk_printer_get_list();

extern char** kdk_printer_get_available_list();

extern void kdk_printer_set_options(int number_up, const char *media, const char *number_up_layout, const char *sides);

extern int kdk_printer_print_download_remote_file(const char *url, const char *filepath);

extern int kdk_printer_print_local_file(const char *printername, const char *filepath);

extern int kdk_printer_cancel_all_jobs(const char *printername);

extern int kdk_printer_get_status(const char *printername);

extern int kdk_printer_get_job_status(const char *printername, int jobid);

extern char* kdk_printer_get_filename(const char *url);

extern inline void kdk_printer_freeall(char **ptr);

Link with -lkyprinter.

Detailed Description
This library contains print information.

RETURN VALUE
The return value is generally specific to the individual function called.

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_printer_get_list(), kdk_printer_get_available_list(), kdk_printer_set_options(), kdk_printer_print_download_remote_file(), kdk_printer_print_local_file(), kdk_printer_cancel_all_jobs(), kdk_printer_get_status(), kdk_printer_get_job_status(), kdk_printer_get_filename() and kdk_printer_freeall().

SEE ALSO
kdk_printer_get_list(3), kdk_printer_get_available_list(3), kdk_printer_set_options(3), kdk_printer_print_download_remote_file(3), kdk_printer_print_local_file(3), kdk_printer_cancel_all_jobs(3), kdk_printer_get_status(3), kdk_printer_get_job_status(3), kdk_printer_get_filename(3) and kdk_printer_freeall(3).